classification
Title: PyErr_SetInterrupt should have an equivalent that takes a signal number
Type: enhancement Stage: resolved
Components: C API Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: neologix, pitrou, vstinner
Priority: normal Keywords: patch

Created on 2021-03-01 17:55 by pitrou, last changed 2021-03-11 22:36 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24755 merged pitrou, 2021-03-04 20:51
Messages (2)
msg387877 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-01 17:55
PyErr_SetInterrupt() is useful if you want to simulate the effect of a SIGINT.
It would be helpful to provide a similar primitive for other signal numbers, e.g. `PyErr_SetInterruptEx(int signum)`.
msg388527 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2021-03-11 22:36
New changeset ba251c2ae6654bfc8abd9d886b219698ad34ac3c by Antoine Pitrou in branch 'master':
bpo-43356: Allow passing a signal number to interrupt_main() (GH-24755)
https://github.com/python/cpython/commit/ba251c2ae6654bfc8abd9d886b219698ad34ac3c
History
Date User Action Args
2021-03-11 22:36:13pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-11 22:36:01pitrousetmessages: + msg388527
2021-03-04 20:51:58pitrousetkeywords: + patch
stage: patch review
pull_requests: + pull_request23526
2021-03-02 21:08:16pitrousetnosy: + vstinner, neologix
2021-03-01 17:55:28pitroucreate